Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetWorkVecs

Sets work vectors for the line search.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetWorkVecs(SNESLineSearch linesearch, PetscInt nwork)

## Input Parameters

- linesearch - the `SNESLineSearch` context

- nwork - the number of work vectors

## Developer Note

This is called from within the set up routines for each of the line search types `SNESLineSearchType`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESSetWorkVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages